khali@linux-fr.org
[PATCH] I2C: Kill unused includes in i2c-sensor-detect.c
ChangeSet 1.2093, 2005/03/02 12:09:45-08:00, khali@linux-fr.org

[PATCH] I2C: Kill unused includes in i2c-sensor-detect.c

Looks to me like i2c-sensor-detect.c includes a handful of headers it
doesn't need at all. This patch removes them.

Signed-off-by: Jean Delvare <khali@linux-fr.org>
Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 drivers/i2c/i2c-sensor-detect.c |    7 -------
 1 files changed, 7 deletions(-)


diff -Nru a/drivers/i2c/i2c-sensor-detect.c b/drivers/i2c/i2c-sensor-detect.c
--- a/drivers/i2c/i2c-sensor-detect.c	2005-03-04 12:25:17 -08:00
+++ b/drivers/i2c/i2c-sensor-detect.c	2005-03-04 12:25:17 -08:00
@@ -19,17 +19,10 @@
     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 
-#include <linux/config.h>
 #include <linux/module.h>
 #include <linux/kernel.h>
-#include <linux/slab.h>
-#include <linux/ctype.h>
-#include <linux/sysctl.h>
-#include <linux/init.h>
-#include <linux/ioport.h>
 #include <linux/i2c.h>
 #include <linux/i2c-sensor.h>
-#include <asm/uaccess.h>
 
 static unsigned short empty[] = {I2C_CLIENT_END};
 static unsigned int empty_isa[] = {I2C_CLIENT_ISA_END};
